Subject: Re: [tsvwg] [Editorial Errata Reported] RFC8311 (5399)

From: Bob Briscoe <[email-masked]>
Date: Mon, 12 Nov 2018 08:20:50 +0000

Megan, David,

Completion of the process for this erratum seems to have stalled.

I just followed the link to this erratum 
<https://www.rfc-editor.org/errata_search.php?rfc=8311> from the tools 
page for RFC8311 <https://tools.ietf.org/html/rfc8311>. Its status is 
still only 'Reported'.

The referenced IANA page for the ECN codepoints 
<https://www.iana.org/assignments/dscp-registry/dscp-registry.xhtml#ecn-field> 
doesn't display the text requested by the erratum (probably 
unsurprising, given the erratum is not approved yet).

A nitty comments about the erratum itself:
     There's an extraneous ')' in the proposed replacement text before 
the '>' at the end of the URL.

Bob

On 26/06/2018 18:03, Megan Ferguson wrote:
> David,
>
> Thanks for the reply.  This has been updated.
>
> RFC Editor/mf
>
> On Jun 26, 2018, at 8:42 AM, Black, David <[email-masked]> wrote:
>
>> That's ok, given that this errata does result in a modification to an IANA registry.
>>
>> Thanks, --David
>>
>>> -----Original Message-----
>>> From: Megan Ferguson [mailto:[email-masked]]
>>> Sent: Tuesday, June 26, 2018 1:23 AM
>>> To: Black, David; Black, David; Spencer Dawkins at IETF; Mirja Kuehlewind
>>> (IETF); Gorry Fairhust; Wesley Eddy
>>> Cc: RFC System; [email-masked]
>>> Subject: Re: [Editorial Errata Reported] RFC8311 (5399)
>>>
>>> Greetings,
>>>
>>> We suggest updating the Type of this errata report from "Editorial" to
>>> "Technical".
>>>
>>> Please see https://www.rfc-editor.org/errata-definitions/ for further
>>> information.
>>>
>>> If this update is agreeable, we would be happy to edit the report.
>>>
>>> Thank you.
>>>
>>> RFC Editor/mf
>>>
>>>
>>> On Jun 19, 2018, at 2:37 PM, RFC Errata System <[email-masked]>
>>> wrote:
>>>
>>>> The following errata report has been submitted for RFC8311,
>>>> "Relaxing Restrictions on Explicit Congestion Notification (ECN)
>>> Experimentation".
>>>> --------------------------------------
>>>> You may review the report below and at:
>>>> http://www.rfc-editor.org/errata/eid5399
>>>>
>>>> --------------------------------------
>>>> Type: Editorial
>>>> Reported by: David Black <[email-masked]>
>>>>
>>>> Section: 7
>>>>
>>>> Original Text
>>>> -------------
>>>> (n/a, this errata adds an additional IANA Consideration)
>>>>
>>>> Corrected Text
>>>> --------------
>>>> To reflect the experimental use of ECT(1) envisioned by this memo,
>>>> IANA has added the following footnote to the ECN Field registry
>>>> <https://www.iana.org/assignments/dscp-registry/
>>>> dscp-registry.xhtml#ecn-field)>:
>>>>
>>>> ECT(1) is for experimental use only [RFC8311, Section 4.2]
>>>>
>>>>
>>>> Notes
>>>> -----
>>>> The Corrected Text is written as if IANA has already added the footnote,
>>> which will be done upon approval of this errata, citing this approved errata as
>>> justification.
>>>> Instructions:
>>>> -------------
>>>> This erratum is currently posted as "Reported". If necessary, please
>>>> use "Reply All" to discuss whether it should be verified or
>>>> rejected. When a decision is reached, the verifying party
>>>> can log in to change the status and edit the report, if necessary.
>>>>
>>>> --------------------------------------
>>>> RFC8311 (draft-ietf-tsvwg-ecn-experimentation-08)
>>>> --------------------------------------
>>>> Title               : Relaxing Restrictions on Explicit Congestion Notification (ECN)
>>> Experimentation
>>>> Publication Date    : January 2018
>>>> Author(s)           : D. Black
>>>> Category            : PROPOSED STANDARD
>>>> Source              : Transport Area Working Group
>>>> Area                : Transport
>>>> Stream              : IETF
>>>> Verifying Party     : IESG
>>>>
>

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/

---

From: Megan Ferguson <[email-masked]>
Date: Thu, 15 Nov 2018 09:20:00 -0800

Spencer, 

This erratum is awaiting your review; we understand that it potentially has an effect on an IANA registry. 
(IANA is CC'ed for awareness; our understanding is that no change will be made unless you change it to “Verified".)

Bob - Thanks for this note.  We have updated the nit you mentioned. 

RFC Editor/mf

On Nov 12, 2018, at 12:20 AM, Bob Briscoe <[email-masked]> wrote:

> I just followed the link to this erratum from the tools page for RFC8311. Its status is still only 'Reported'.
> 
> The referenced IANA page for the ECN codepoints doesn't display the text requested by the erratum (probably unsurprising, given the erratum is not approved yet).
> 
> 
>     There's an extraneous ')' in the proposed replacement text before the '>' at the end of the URL.
> 
> 
> Bob
> 
> 
> 
>> On Jun 26, 2018, at 8:42 AM, Black, David 
>> <[email-masked]>
>>  wrote:
>> 
>> 
>>>> From: Megan Ferguson [
>>>> mailto:[email-masked]
>>>> ]
>>>> Please see 
>>>> https://www.rfc-editor.org/errata-definitions/
>>>>  for further
>>>> information.
>>>>

---

From: Megan Ferguson <[email-masked]>
Date: Mon, 19 Nov 2018 09:11:54 -0800

IANA,

FYI, this erratum has been verified and requires IANA action.

Thank you.

RFC Editor/mf

Begin forwarded message:

> From: RFC Errata System <[email-masked]>
> Subject: [Errata Verified] RFC8311 (5399)
> Date: November 16, 2018 at 3:35:23 PM PST
> To: [email-masked], [email-masked]
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> 
> The following errata report has been verified for RFC8311,
> "Relaxing Restrictions on Explicit Congestion Notification (ECN) Experimentation". 
> 
> Status: Verified
> Type: Technical
> Date Reported: 2018-06-19
> Verified by: Spencer Dawkins (IESG)
> 
> Section: 7
> 
> Original Text
> -------------
> dscp-registry.xhtml#ecn-field>:
> 
> The Corrected Text is written as if IANA has already added the footnote, which will be done upon approval of this errata, citing this approved errata as justification.
> 
> (From Spencer - this could have been Held for Document Update, but I think Verified is just about as correct)
> 
> Title               : Relaxing Restrictions on Explicit Congestion Notification (ECN) Experimentation

---

From: "Sabrina Tanamal via RT" <[email-masked]>
Date: Wed, 21 Nov 2018 23:49:08 +0000

Hi Spencer, 

We've added the following footnote to the ECN Field registry: 

Please see
https://www.iana.org/assignments/dscp-registry

We have two follow-up questions: 

1) The anchor that's displayed on the page as a [1] is placed after the keyword ECT(1) (ECN-Capable Transport(1)). Is that OK or should the [1] be part of the reference section? 

2) Should the reference to the errata be moved to the text of the footnote itself or can we leave it where it is right now? 

Thanks,
Sabrina

On Mon Nov 19 17:12:35 2018, [email-masked] wrote:
> > The Corrected Text is written as if IANA has already added the
> > footnote, which will be done upon approval of this errata, citing
> > this approved errata as justification.
> >
> > This erratum is awaiting your review; we understand that it
> > potentially has an effect on an IANA registry.
> > (IANA is CC'ed for awareness; our understanding is that no change
> > will be made unless you change it to “Verified".)
> >
> >> I just followed the link to this erratum from the tools page for
> >> RFC8311. Its status is still only 'Reported'.
> >>
> >> The referenced IANA page for the ECN codepoints doesn't display the
> >> text requested by the erratum (probably unsurprising, given the
> >> erratum is not approved yet).
> >>
> >>

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 26 Nov 2018 21:20:51 -0600

Hi, Sabrina,
On Wed, Nov 21, 2018 at 5:49 PM Sabrina Tanamal via RT <[email-masked]>
wrote:

> 1) The anchor that's displayed on the page as a [1] is placed after the
> keyword ECT(1) (ECN-Capable Transport(1)). Is that OK or should the [1] be
> part of the reference section?
>
> 2) Should the reference to the errata be moved to the text of the footnote
> itself or can we leave it where it is right now?
>

I understand that this looks somewhat odd, but I think moving the errata to
the text of the footnote itself (for instance) would be odder. I think it's
fine, as you have it now.

Spencer

> > >>>>>> footnote,